Skip to main content
POST
/
ssh-keys
Add an SSH key
curl --request POST \
  --url https://console.wenium.com/api/ssh-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "My Laptop Key",
  "public_key": "ssh-rsa AAAAB3..."
}
'
{
  "status": true,
  "message": "SSH Key created successfully.",
  "data": {
    "id": 1,
    "name": "My Laptop Key",
    "public_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQC...",
    "user_id": 1,
    "created_at": "2026-07-03T00:00:00.000000Z",
    "updated_at": "2026-07-03T00:00:00.000000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
Example:

"My Laptop Key"

public_key
string
required
Example:

"ssh-rsa AAAAB3..."

Response

200 - application/json

Key created

status
boolean
Example:

true

message
string
Example:

"SSH Key created successfully."

data
object